## pysynphot 0.9.14+dfsg

=== doc/tsrs/bandpar_comparison/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/<dirname>.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/<dirname>.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pysynphot 0.9.7+dfsg

=== debian/changelog ===
pysynphot (0.9.7+dfsg-1) unstable; urgency=low

  * Initial version. Closes: #813733

 -- Ole Streicher <olebole@debian.org>  Sun, 28 Feb 2016 10:02:07 +0100

=== debian/control ===
Source: pysynphot
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev (>= 2.6.6-3),
	       python-astropy (>= 0.3.1),
	       python-d2to1 (>= 0.2.11),
	       python-numpy (>= 1.5.1),
	       python-stsci.distutils (>= 0.3),
               python-setuptools (>= 0.6b3)
Standards-Version: 3.9.7
Homepage: http://ssb.stsci.edu/pysynphot/docs/

Package: python-pysynphot
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Suggests: synphot-data
Description: Python Synthetic Photometry Utilities
 pysynphot simulates photometric data and spectra as they are observed with
 the Hubble Space Telescope (HST). Passbands for standard photometric systems
 are available, and users can incorporate their own filters, spectra, and
 data. pysynphot user interface allows you to:
 .
  * Construct complicated composite spectra from various grids of model
    atmosphere spectra, parameterized spectrum models, and atlases of stellar
    spectrophotometry.
  * Simulate observations.
  * Query the resulting structures for quantities of interest, such as
    countrate, effective wavelength, effective stimulus, as well as the
    wavelength and flux arrays.
  * Plot HST sensitivity curves and calibration target spectra.
  * Compute photometric calibration parameters for any HST instrument mode.
 .
 pysynphot can help HST observers to perform cross-instrument simulations, to
 examine the transmission curve of the HST Optical Telescope Assembly (OTA),
 and spectra of HST calibration targets. Expert users can take advantage of
 the control and data structures available in Python to easily perform
 repetitive operations such as simulate the observation of multiple type of
 sources through multiple observing modes.

Package: synphot-data
Section: contrib/science
Architecture: all
Depends: ${misc:Depends}, curl
Description: Optional data files for pysynphot
 pysynphot simulates photometric data and spectra as they are observed with
 the Hubble Space Telescope (HST).
 .
 This package downloads the data files for synphot and pysynphot:
 .
  * HST component throughput files and graph and component lookup tables,
  * Stellar and galactic model files,
  * the Castelli and Kurucz 2004 Atlas,
  * the Kurucz 1993 Atlas,
  * the Phoenix Models, and
  * the HST Calibration Spectra.
 .
 Note that installing this package will cause downloading more than 600 MB of
 data from archive.stsci.edu.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pysynphot
%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_gencontrol-indep:
	dh_gencontrol
	sed "s/Installed-Size:.*/Installed-Size: 1737300/" -i debian/synphot-data/DEBIAN/control

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy

=== debian/watch ===
# please also check http://pypi.debian.net/pysynphot/watch
version=3
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg \
http://pypi.debian.net/pysynphot/pysynphot-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pysynphot 0.9.8.5+dfsg

=== debian/changelog ===
pysynphot (0.9.8.5+dfsg-1) unstable; urgency=low

  * Add VCS fields
  * Switch to github (pypi is no longer updated)
  * New upstream version 0.9.8.5+dfsg
  * Disable tests. They now require test data not available here.
  * Build Python 3 package
  * Push Standards-Version to 3.9.8 (no changes)

 -- Ole Streicher <olebole@debian.org>  Sat, 05 Nov 2016 23:11:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,16 @@
 	       python-astropy (>= 0.3.1),
 	       python-d2to1 (>= 0.2.11),
 	       python-numpy (>= 1.5.1),
-	       python-stsci.distutils (>= 0.3),
-               python-setuptools (>= 0.6b3)
-Standards-Version: 3.9.7
+               python-setuptools (>= 0.6b3),
+               python3-all-dev (>= 2.6.6-3),
+	       python3-astropy (>= 0.3.1),
+	       python3-d2to1 (>= 0.2.11),
+	       python3-numpy (>= 1.5.1),
+               python3-setuptools (>= 0.6b3)
+Standards-Version: 3.9.8
 Homepage: http://ssb.stsci.edu/pysynphot/docs/
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/pysynphot.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/pysynphot.git
 
 Package: python-pysynphot
 Architecture: any
@@ -41,6 +47,33 @@
  repetitive operations such as simulate the observation of multiple type of
  sources through multiple observing modes.
 
+Package: python3-pysynphot
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Suggests: synphot-data
+Description: Python 3 Synthetic Photometry Utilities
+ pysynphot simulates photometric data and spectra as they are observed with
+ the Hubble Space Telescope (HST). Passbands for standard photometric systems
+ are available, and users can incorporate their own filters, spectra, and
+ data. pysynphot user interface allows you to:
+ .
+  * Construct complicated composite spectra from various grids of model
+    atmosphere spectra, parameterized spectrum models, and atlases of stellar
+    spectrophotometry.
+  * Simulate observations.
+  * Query the resulting structures for quantities of interest, such as
+    countrate, effective wavelength, effective stimulus, as well as the
+    wavelength and flux arrays.
+  * Plot HST sensitivity curves and calibration target spectra.
+  * Compute photometric calibration parameters for any HST instrument mode.
+ .
+ pysynphot can help HST observers to perform cross-instrument simulations, to
+ examine the transmission curve of the HST Optical Telescope Assembly (OTA),
+ and spectra of HST calibration targets. Expert users can take advantage of
+ the control and data structures available in Python 3 to easily perform
+ repetitive operations such as simulate the observation of multiple type of
+ sources through multiple observing modes.
+
 Package: synphot-data
 Section: contrib/science
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pysynphot

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_gencontrol-indep:
	dh_gencontrol
	sed "s/Installed-Size:.*/Installed-Size: 1737300/" -i debian/synphot-data/DEBIAN/control

override_dh_auto_test:
	true # Tests need external data files that are not available here.

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy

## pysynphot 0.9.8.7+dfsg

=== debian/changelog ===
pysynphot (0.9.8.7+dfsg-1build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:41:12 +0000

pysynphot (0.9.8.7+dfsg-1) unstable; urgency=low

  * Use a fake relic package for version info instead of hardcoding
  * New upstream version 0.9.8.7+dfsg
  * Push Standards-Version to 4.0.0. No changes

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Jun 2017 21:09:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,25 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all-dev (>= 2.6.6-3),
-	       python-astropy (>= 0.3.1),
-	       python-d2to1 (>= 0.2.11),
-	       python-numpy (>= 1.5.1),
+               python-astropy (>= 0.3.1),
+               python-dateutil,
+               python-debian,
+               python-numpy (>= 1.5.1),
                python-setuptools (>= 0.6b3),
                python3-all-dev (>= 2.6.6-3),
-	       python3-astropy (>= 0.3.1),
-	       python3-d2to1 (>= 0.2.11),
-	       python3-numpy (>= 1.5.1),
+               python3-astropy (>= 0.3.1),
+               python3-dateutil,
+               python3-debian,
+               python3-numpy (>= 1.5.1),
                python3-setuptools (>= 0.6b3)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://ssb.stsci.edu/pysynphot/docs/
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/pysynphot.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/pysynphot.git
 
 Package: python-pysynphot
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Suggests: synphot-data
 Description: Python Synthetic Photometry Utilities
  pysynphot simulates photometric data and spectra as they are observed with
@@ -49,7 +51,7 @@
 
 Package: python3-pysynphot
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Suggests: synphot-data
 Description: Python 3 Synthetic Photometry Utilities
  pysynphot simulates photometric data and spectra as they are observed with
@@ -77,7 +79,7 @@
 Package: synphot-data
 Section: contrib/science
 Architecture: all
-Depends: ${misc:Depends}, curl
+Depends: curl, ${misc:Depends}
 Description: Optional data files for pysynphot
  pysynphot simulates photometric data and spectra as they are observed with
  the Hubble Space Telescope (HST).

## pysynphot 0.9.8.8+dfsg

=== debian/changelog ===
pysynphot (0.9.8.8+dfsg-1) unstable; urgency=low

  * New upstream version 0.9.8.8+dfsg
  * Push Standards-Version to 4.1.2. Switch remaining URL to https

 -- Ole Streicher <olebole@debian.org>  Tue, 19 Dec 2017 10:21:13 +0100

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
                python3-debian,
                python3-numpy (>= 1.5.1),
                python3-setuptools (>= 0.6b3)
-Standards-Version: 4.0.0
-Homepage: http://ssb.stsci.edu/pysynphot/docs/
+Standards-Version: 4.1.2
+Homepage: https://ssb.stsci.edu/pysynphot/docs/
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/pysynphot.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/pysynphot.git

## pysynphot 0.9.12+dfsg

=== debian/changelog ===
pysynphot (0.9.12+dfsg-3) unstable; urgency=medium

  * Remove synphot-data package (Closes: #930056, LP: #1775965)

 -- Ole Streicher <olebole@debian.org>  Sat, 08 Jun 2019 20:51:21 +0200

pysynphot (0.9.12+dfsg-2) unstable; urgency=low

  * Remove Python 2 package
  * Push Standards-Version to 4.2.1. No changes required

 -- Ole Streicher <olebole@debian.org>  Tue, 11 Dec 2018 09:11:51 +0100

pysynphot (0.9.12+dfsg-1) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * New upstream version 0.9.12+dfsg
  * Push Standards-Version to 4.1.4. No changes needed.
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Apr 2018 15:07:24 +0200

=== debian/control ===
Source: pysynphot
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all-dev (>= 2.6.6-3),
               python3-astropy (>= 0.3.1),
               python3-dateutil,
               python3-debian,
               python3-numpy (>= 1.5.1),
               python3-setuptools (>= 0.6b3)
Standards-Version: 4.2.1
Homepage: https://ssb.stsci.edu/pysynphot/docs/
Vcs-Git: https://salsa.debian.org/debian-astro-team/pysynphot.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/pysynphot

Package: python3-pysynphot
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python Synthetic Photometry Utilities
 pysynphot simulates photometric data and spectra as they are observed with
 the Hubble Space Telescope (HST). Passbands for standard photometric systems
 are available, and users can incorporate their own filters, spectra, and
 data. pysynphot user interface allows you to:
 .
  * Construct complicated composite spectra from various grids of model
    atmosphere spectra, parameterized spectrum models, and atlases of stellar
    spectrophotometry.
  * Simulate observations.
  * Query the resulting structures for quantities of interest, such as
    countrate, effective wavelength, effective stimulus, as well as the
    wavelength and flux arrays.
  * Plot HST sensitivity curves and calibration target spectra.
  * Compute photometric calibration parameters for any HST instrument mode.
 .
 pysynphot can help HST observers to perform cross-instrument simulations, to
 examine the transmission curve of the HST Optical Telescope Assembly (OTA),
 and spectra of HST calibration targets. Expert users can take advantage of
 the control and data structures available in Python to easily perform
 repetitive operations such as simulate the observation of multiple type of
 sources through multiple observing modes.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=pysynphot
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_gencontrol-indep:
 	dh_gencontrol
@@ -14,4 +14,4 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps
-	dh_numpy
+	dh_numpy3

## pysynphot 0.9.13+dfsg

=== debian/changelog ===
pysynphot (0.9.13+dfsg-1) unstable; urgency=low

  * New upstream version 0.9.13+dfsg. Rediff patches
  * Push Standards-Version to 4.4.0. No changes required
  * Push compat to 12. Remove d/compat
  * Add gitlab-ci.yml for salsa
  * Disable setuptools-scm

 -- Ole Streicher <olebole@debian.org>  Fri, 16 Aug 2019 17:21:07 +0200

## pysynphot 0.9.14%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all-dev (>= 2.6.6-3),
                python3-astropy (>= 0.3.1),
@@ -11,7 +11,7 @@
                python3-debian,
                python3-numpy (>= 1.5.1),
                python3-setuptools (>= 0.6b3)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://ssb.stsci.edu/pysynphot/docs/
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pysynphot.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pysynphot

## pysynphot 0.9.14+dfsg

=== debian/changelog ===
pysynphot (0.9.14+dfsg-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:22:46 +0100

pysynphot (0.9.14+dfsg-1) unstable; urgency=low

  * New upstream version 0.9.14+dfsg

 -- Ole Streicher <olebole@debian.org>  Sun, 25 Aug 2019 14:16:05 +0200

## pysynphot 1.0.0+dfsg

=== debian/changelog ===
pysynphot (1.0.0+dfsg-1) unstable; urgency=low

  * New upstream version 1.0.0+dfsg. Rediff patches
  * Build-dep from setuptools-scm
  * Push Standards-Version to 4.5.0. No changes needed
  * Push dh-compat to 13
  * Set Rules-Requires-Root:no
  * Remove unneeded build dep versions

 -- Ole Streicher <olebole@debian.org>  Thu, 20 Aug 2020 17:20:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,26 @@
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all-dev (>= 2.6.6-3),
-               python3-astropy (>= 0.3.1),
+               python3-all-dev,
+               python3-astropy,
                python3-dateutil,
                python3-debian,
-               python3-numpy (>= 1.5.1),
-               python3-setuptools (>= 0.6b3)
-Standards-Version: 4.4.0
+               python3-numpy,
+               python3-setuptools,
+               python3-setuptools-scm
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/pysynphot
+Vcs-Git: https://salsa.debian.org/debian-astro-team/pysynphot.git
 Homepage: https://ssb.stsci.edu/pysynphot/docs/
-Vcs-Git: https://salsa.debian.org/debian-astro-team/pysynphot.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/pysynphot
+Rules-Requires-Root: no
 
 Package: python3-pysynphot
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Description: Python Synthetic Photometry Utilities
  pysynphot simulates photometric data and spectra as they are observed with
  the Hubble Space Telescope (HST). Passbands for standard photometric systems

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=pysynphot
+export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pysynphot-$1.tar.gz/ \
  https://github.com/spacetelescope/pysynphot/tags .*/v?(\d\S*)\.tar\.gz

## pysynphot 2.0.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-numpy,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pysynphot
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pysynphot.git
 Homepage: https://ssb.stsci.edu/pysynphot/docs/

## pysynphot 2.0.0+dfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/imagestats.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/imagestats.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/tsrs/choppy_count_problem/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/TSR2009-02.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/TSR2009-02.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pysynphot (2.0.0+dfsg-3build1) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 31 Jan 2025 09:39:52 +0000

pysynphot (2.0.0+dfsg-3) unstable; urgency=medium

  * Team Upload
  * Fix SyntaxWarning (Closes: #1085832)
  * Patch-out usage of python3-six

 -- Alexandre Detiste <tchet@debian.org>  Wed, 25 Dec 2024 23:58:30 +0100

pysynphot (2.0.0+dfsg-2) unstable; urgency=medium

  * 'd/clean': Add missing files and patterns.
  * 'd/control':
    - Add myself to 'Uploaders'.
    - Update 'Standards-Version' to 4.7.0, no changes required.
  * 'd/rules':
    - Add hardening 'all'.
    - Add 'DH_VERBOSE' but leave disabled.
  * 'd/watch': Use version 4.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 19 Oct 2024 14:05:01 +0100

pysynphot (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.0.0+dfsg

 -- Ole Streicher <olebole@debian.org>  Thu, 07 Oct 2021 09:40:30 +0200

pysynphot (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.1+dfsg
  * Push Standards-Version to 4.6.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Aug 2021 21:12:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: pysynphot
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>,
+           Phil Wyett <philip.wyett@kathenas.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -12,10 +13,10 @@
                python3-numpy,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pysynphot
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pysynphot.git
-Homepage: https://ssb.stsci.edu/pysynphot/docs/
+Homepage: https://pysynphot.readthedocs.io
 Rules-Requires-Root: no
 
 Package: python3-pysynphot

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pysynphot-$1.tar.gz/ \
  https://github.com/spacetelescope/pysynphot/tags .*/v?(\d\S*)\.tar\.gz
